UI::Util::SysLogMono Class Reference

C++ Abstraction of syslog(3) for mono threaded applications. More...

`#include <SysLogMono.hpp>`

Inheritance diagram for UI::Util::SysLogMono:
Collaboration diagram for UI::Util::SysLogMono:

## Public Member Functions

| SysLogMono (std::string const &ident, int option, int facility)
| ~SysLogMono ()
| Destructor.
SysLogMono & | operator() (int level)
| Log operator.

## Detailed Description

C++ Abstraction of syslog(3) for mono threaded applications.

## Constructor & Destructor Documentation

## SysLogMono()

UI::Util::SysLogMono::SysLogMono | ( | std::string const & | ident,
|  | int | option,
|  | int | facility
| ) |  |

Parameters

  ident | Identifier (prefix) for the log lines.
  option | Options as described in syslog(3).
  facility | Facility as described in syslog(3).

## Member Function Documentation

## operator()()

SysLogMono & UI::Util::SysLogMono::operator() | ( | int | level | ) |

Log operator.

Parameters

  level | Log level as described in syslog(3).

The documentation for this class was generated from the following files:

- SysLogMono.hpp
- SysLogMono.cpp